Update Source
Update a source's processing state.
Supported actions:
- reparse re-extract and re-index the content.
- ocr_reparse run or retry vision OCR for deterministic candidate PDF pages.
- mark_stale flag the source as needing re-processing.
Path Parameters
source_id*Source Id
Query Parameters
space_id?|
Optional isolation space guard
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request to update source lifecycle.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/sources/string" \ -H "Content-Type: application/json" \ -d '{ "action": "string" }'{ "id": "string", "source_type": "string", "original_name": "string", "mime_type": "string", "file_path": "string", "parsed_path": "string", "source_url": "string", "sha256": "string", "size_bytes": 0, "version": 1, "space_id": "default", "lifecycle_state": "ingested", "chunk_count": 0, "memory_count": 0, "section_tree": "string", "summary": "string", "error_message": "string", "created_at": "string", "updated_at": "string", "metadata": {}, "label_ids": [ "string" ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}